---
title: Get Listing
slug: get-listing
createdAt: 2025-10-13T06:05:51.357Z
---

:::ApiMethodV2
```json
{
  "name": "Get Listing",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v2/getlisting/test/MPBXX/XXXX",
  "description": "Retrieve the status of all properties mapped under a partner account in Bakuun.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "-a6ev31csLIzcdTYZHisl",
        "language": "json",
        "code": "{\n    \"action\": \"GetListing\",\n    \"authentication\": {\n        \"username\": \"XXXXXX\",\n        \"password\": \"XXXXX\",\n        \"partnerId\": \"MPBXX\"\n    }\n}",
        "customLabel": ""
      },
      {
        "id": "4APQe9vdXMyqmIs7xjSe6",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/v2/getlisting/test/RDKXX/966102' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"action\": \"String\",\n  \"authentication\": {\n    \"username\": \"\",\n    \"password\": \"\",\n    \"partnerId\": \"\"\n  }\n}'",
        "customLabel": ""
      },
      {
        "id": "Ws4HCsAF1w9445tI4re8A",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v2/getlisting/test/RDKXX/966102',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"action\": \"String\",\n      \"authentication\": {\n         \"username\": \"\",\n         \"password\": \"\",\n         \"partnerId\": \"\"\n      }\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "R8XwIxLr5gTXH_8tt4HnL",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"action\": \"String\",\n   \"authentication\": {\n      \"username\": \"\",\n      \"password\": \"\",\n      \"partnerId\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v2/getlisting/test/RDKXX/966102\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "KFu18p4ni43DRU7et8F_U",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v2/getlisting/test/RDKXX/966102\"\n\npayload = json.dumps({\n   \"action\": \"String\",\n   \"authentication\": {\n      \"username\": \"\",\n      \"password\": \"\",\n      \"partnerId\": \"\"\n   }\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "IfItvSLU2ziunVMindgbK",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v2/getlisting/test/RDKXX/966102\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"action\": \"String\",\n   \"authentication\": {\n      \"username\": \"\",\n      \"password\": \"\",\n      \"partnerId\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-a6ev31csLIzcdTYZHisl"
  },
  "results": {
    "languages": [
      {
        "id": "BVUJfRIDCM7lLpYvvpE0n",
        "language": "200",
        "code": "{\n  \"status\": \"Success\",\n  \"totalListing\": 78,\n  \"listingData\": [\n    {\n      \"propertyID\": \"HTLXX.1\",\n      \"propertyName\": \"Hotel Test\",\n      \"mappingStatus\": \"Draft\"\n    },\n    {\n      \"propertyID\": \"HTLXX.2\",\n      \"propertyName\": \"Hotel Test\",\n      \"mappingStatus\": \"Suspended\"\n    },\n    {\n      \"propertyID\": \"HTLXX.3\",\n      \"propertyName\": \"Hotel Test\",\n      \"mappingStatus\": \"Completed\"\n    },\n    {\n      \"propertyID\": \"HTLXX.4\",\n      \"propertyName\": \"Hotel Test\",\n      \"mappingStatus\": \"To Start\"\n    },\n    {\n      \"propertyID\": \"HTLXX.5\",\n      \"propertyName\": \"Hotel Test\",\n      \"mappingStatus\": \"Disconnected\"\n    }\n  ]\n} ",
        "customLabel": ""
      },
      {
        "id": "ccuLtXXXz8yICbM4eKxio",
        "language": "410_CLASS",
        "code": "{\n  \"success\": false,\n  \"errors\": [\n    {\n      \"code\": 410,\n      \"message\": \"Unauthorized user\"\n    }\n  ]\n  }",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "ccuLtXXXz8yICbM4eKxio"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Defines the requested operation. Must be set to GetListing.",
        "": "Defines the requested operation. Must be set to GetListing."
      },
      {
        "name": "authentication",
        "kind": "required",
        "type": "object",
        "description": "",
        "": "",
        "children": [
          {
            "name": "username",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "password",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "partnerId",
            "kind": "required",
            "type": "string",
            "description": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX)."
          }
        ],
        "schema": [
          {
            "name": "username",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "password",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "partnerId",
            "kind": "required",
            "type": "string",
            "description": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX)."
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Overall result of the request. Typical values: \"Success\" or \"Error\"."
    },
    {
      "name": "totalListing",
      "kind": "optional",
      "type": "integer",
      "description": "Total number of properties returned for the authenticated partner account.",
      "children": []
    },
    {
      "name": "listingData",
      "kind": "optional",
      "type": "object",
      "description": "List of property objects with mapping information.",
      "children": [
        {
          "name": "propertyID",
          "kind": "optional",
          "type": "string",
          "description": "Unique Bakuun property identifier (e.g. HTLXX.3)"
        },
        {
          "name": "propertyName",
          "kind": "optional",
          "type": "string",
          "description": "Display name of the property."
        },
        {
          "name": "mappingStatus",
          "kind": "optional",
          "type": "string",
          "description": "Current mapping status of the property in Bakuun. Available status are:\n- Draft\n- To Start\n- Completed\n- Disconnected\n- Suspended"
        }
      ]
    }
  ],
  "autoGeneratedAnchorSlug": "get-listing",
  "legacyHash": "Wd211LDEEnfLn83hrCLaU"
}
```
:::

41

